<?php
/* 
Global configuration of WWLabor 
https://www.mwiede.de/windows-php-webserver/wwlabor.htm
*/
$CONFIG_GLOBAL = array (
		
	"script_path" => "scripts", // directory of the scripts, only local paths are allowed here
	"use_index_files" => 0, // automatically load index files
	
	"wwadmin_path" => "../wwadmin", // Path to WWAdmin for authentication (usually in home directory of WWebserver)
	
	// Editor types you can find in js/ace-builds-master/src-min/snippets
	// "file extension " => "editor type"
	"editor_types" => array (
		"php" => "php",
		"pl" => "perl",
		"rb" => "ruby",
		"py" => "python",
		"htm" => "html",
		"html" => "html",
		"v1" => "javascript",
		"css" => "css",
		"js" => "javascript",
		"sql" => "sql",
		"sh" => "sh",
		"cpp" => "c_cpp",
		"h" => "c_cpp",
		"c" => "c_cpp",
		"bat" => "batchfile",
		"java" => "java",
		"svg" => "svg",
		"xml" => "xml",
		"json" => "json",
		"txt" => "text",
		"csv" => "text",
		"ini" => "ini",
		"htaccess" => "text"
	),
	
	/* Dont change this paths */
	"root_path" => dirname(__FILE__),
	"wlib_path" => dirname(__FILE__)."/wlib",
);

?>