<?php

/**

 WUIUtils
 User interface utilities

**/

class WUIUtils
{
	public static function setEditorContent ($name, $value, $question="", $version="") {
		if (empty ($version))
			$version = WSystem::getConf ("editor_version", "ckeditor");
						
		$script = '
			<script type="text/javascript">

			var version = \''.$version.'\';
			var oldData = \'\';
			var question = \''.WDB::escape ($question).'\';
			if (version==\'ckeditor\') {
				oldData = CKEDITOR.instances[\''.$name.'_ctrl\'].getData ();
			}
			else
			if (version==\'tinymce\') {
				oldData = tinyMCE.editors[\''.$name.'_ctrl\'].getContent ();
			}
			else {
				oldData = $(\'#'.$name.'_ctrl\').val ();
			}

			if (question==\'\' || oldData==\'\' || confirm (question)) {

				if (version==\'ckeditor\') {
				
					CKEDITOR.instances[\''.$name.'_ctrl\'].setData (\''.WDB::escape ($value).'\');
				}
				else
				if (version==\'tinymce\') {
					tinyMCE.editors[\''.$name.'_ctrl\'].execCommand(\'mceSetContent\', false, \''.WDB::escape ($value).'\');
				}
				else {
					$(\'#'.$name.'_ctrl\').val (\''.WDB::escape ($value).'\');
				}
				WSystem.fModified=true;
			}
			</script>
		';
		WUI::command (array ("evalScript" => $script));			
	}
	
};

?>