<?php

require_once ("config.inc.php");

if (!is_file ($CONFIG_GLOBAL["wwadmin_path"]."/class.wwadminsesison.inc.php")) {
	die ("WWAdmin path ".$CONFIG_GLOBAL["wwadmin_path"]." not found. See README.txt");
}

/* Define some constants */
define ("ROOT_PATH", $CONFIG_GLOBAL["root_path"]);
define ("WLIB_PATH", $CONFIG_GLOBAL["wlib_path"]);
define ("SCRIPT_PATH", $CONFIG_GLOBAL["script_path"]);
define ("USE_INDEX_FILES", $CONFIG_GLOBAL["use_index_files"]);
define ("SESSION_PREFIX", "");

/* Start session */
if (!defined ("NO_SESSION"))
	session_start ();

/* Libraries */
require_once (WLIB_PATH."/php/wlib.inc.php");
require_once ("utils.inc.php");

/* Own error handler */
function wlib_error_handler ($errno, $errstr, $errfile, $errline) {
	if ($errno!=8 &&  !defined ('NO_WLIB_ERROR_HANDLER'))
		throw new ErrorException ($errstr, $errno, 0, $errfile, $errline);
}

set_error_handler ("wlib_error_handler");

/* Own exception handler */
function wlib_exception_handler ($e) {
  echo $e->getMessage();
}

set_exception_handler ("wlib_exception_handler");

/* Get filename */
$filename = "";
if (isset ($_REQUEST["f"]))
	$filename = createSecurePath ($_REQUEST["f"]);
if (empty ($filename))
	$filename = SCRIPT_PATH;
if (!is_file ($filename)) {
	if (USE_INDEX_FILES) {
		$indexFile = getIndexFile ($filename);
		if (!empty ($indexFile))
			$filename = $filename."/".$indexFile;
	}
}
?>