<?php

/**

 WContextmenu

**/


class WContextMenu extends WUIElement
{
	private $tree = NULL;
	
	public function __construct ($id, $tree) {
		$this->tree = $tree;
		parent::__construct ($id);
	}
	
	public function __destruct () {
	
	}

	private function renderList ($parentId) {
	
		$html = "";
		$itemList = $this->tree->getItems ($parentId);
		if (!$itemList)
			return $html;
		foreach ($itemList as $itemId => $itemData) {		
				$html.="<li>";
				
				$onclick = "";
				if (isset ($itemData["cmd"]) && $itemData["cmd"]!="") {
					$dontClose = "";
					if (isset ($itemData["dont_close"]) && $itemData["dont_close"])
						$dontClose = "WUI.fIgnoreMouseDown=true;";
					$onclick = $dontClose.'cmdContextMenu_'.$this->id.'(\''.$itemData["cmd"].'\', '.((isset ($itemData["hold_uri"]) && $itemData["hold_uri"]) ? 1 : 0).');return false;';
				}
				else
					$onclick = "WUI.fIgnoreMouseDown=true;return false;";
				$html.='<a href="" onclick="'.$onclick.'">'.$itemData["name"].'</a>';
				$html.=$this->renderList ($itemId);				
				$html.="</li>";
		}
		
		$html = '<ul>'.$html.'</ul>';
		return $html;
	}

	public function renderElement ()
	{
		
		// Items
		$this->html='<div id="items-'.$this->id.'" style="display:none;">'.$this->renderList (0).'</div>';
		
		// Functions
		$this->html.='
			<script type="text/javascript">
			function releaseContextMenu_'.$this->id.' () {
				WSystem.setClass (\'remove\',g_contextObj'.$this->id.',\'marked\');
			}

			function '.$this->getShowFunctionName ().' (evt, obj, param, buttons) {
				if (evt.button==2 || (buttons && buttons==\'all\')) {
					var ulObj = document.getElementById ("items-'.$this->id.'").firstChild;	
					var menuItems = WUI.createMenuItemsFromULStruct (ulObj);
					WUI.openContextMenu (menuItems, WSystem.getMouseCoords (evt),  releaseContextMenu_'.$this->id.');
					g_contextParam'.$this->id.' = param;
					g_contextObj'.$this->id.' = obj;
					if (obj)
						WSystem.setClass (\'add\',obj,\'marked\');
				}
			}
			
			function cmdContextMenu_'.$this->id.' (cmd, fHoldURI) {
				if (fHoldURI)
					WUI.ajaxRequest (\''.WSystem::getRequestURI ().'&'.$this->id.'_cmd=\'+cmd+\'&'.$this->id.'_param=\'+g_contextParam'.$this->id.', \'empty\');				
				else
					WUI.ajaxRequest (\''.WSystem::getRequestURI ().'\', \'empty\', null, false, \''.$this->id.'_cmd=\'+cmd+\'&'.$this->id.'_param=\'+g_contextParam'.$this->id.');

			}
			
			</script>
		';
	}
	
	public function getShowFunctionName () {
		return "showContextMenu_".$this->id;
	}
	
	public function getCommand () {
		return WSystem::getParam ($this->id."_cmd");
	}
	
	public function getParam () {
		return WSystem::getParam ($this->id."_param");
	}
	
}


?>